Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Tomas Chvatal (scarabeus)" <scarabeus@g.o>
Subject: gentoo-x86 commit in eclass: kde4-base.eclass kde4-functions.eclass kde4-meta.eclass
Date: Mon, 12 Jan 2009 19:40:34 +0000
scarabeus    09/01/12 19:40:34

  Modified:             kde4-base.eclass kde4-functions.eclass
                        kde4-meta.eclass
  Log:
  Add one missed patch for the eclasses. Affect only live stuff so no breakage for tree users. Thanks reavertm for pointing out.

Revision  Changes    Path
1.23                 eclass/kde4-base.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/kde4-base.eclass?rev=1.23&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/kde4-base.eclass?rev=1.23&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/kde4-base.eclass?r1=1.22&r2=1.23

Index: kde4-base.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/kde4-base.eclass,v
retrieving revision 1.22
retrieving revision 1.23
diff -u -r1.22 -r1.23
--- kde4-base.eclass	12 Jan 2009 17:25:59 -0000	1.22
+++ kde4-base.eclass	12 Jan 2009 19:40:34 -0000	1.23
@@ -1,6 +1,6 @@
 # Copyright 2007-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-base.eclass,v 1.22 2009/01/12 17:25:59 scarabeus Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-base.eclass,v 1.23 2009/01/12 19:40:34 scarabeus Exp $
 
 # @ECLASS: kde4-base.eclass
 # @MAINTAINER:
@@ -465,30 +465,7 @@
 	debug-print-function $FUNCNAME "$@"
 
 	if [[ $BUILD_TYPE = live ]]; then
-		local cleandir
-		cleandir="${ESVN_STORE_DIR}/KDE"
-		if [[ -d "${cleandir}" ]]; then
-			ewarn "'${cleandir}' has been found. Moving contents to new location."
-			addwrite "${ESVN_STORE_DIR}"
-			# Split kdebase
-			local module
-			if pushd "${cleandir}"/kdebase/kdebase > /dev/null; then
-				for module in `find . -maxdepth 1 -type d -name [a-z0-9]\*`; do
-					module="${module#./}"
-					mkdir -p "${ESVN_STORE_DIR}/kdebase-${module}" && mv -f "${module}" "${ESVN_STORE_DIR}/kdebase-${module}" || \
-						die "Failed to move to '${ESVN_STORE_DIR}/kdebase-${module}'."
-				done
-				popd > /dev/null
-				rm -fr "${cleandir}/kdebase" || \
-					die "Failed to remove ${cleandir}/kdebase. You need to remove it manually."
-			fi
-			# Move the rest
-			local pkg
-			for pkg in "${cleandir}"/*; do
-				mv -f "${pkg}" "${ESVN_STORE_DIR}"/ || eerror "failed to move ${pkg}"
-			done
-			rmdir "${cleandir}" || die "Could not move obsolete KDE store dir. Please move '${cleandir}' contents to appropriate location (possibly ${ESVN_STORE_DIR}) and manually remove '${cleandir}' in order to continue."
-		fi
+		migrate_store_dir
 		subversion_src_unpack
 	else
 		[[ -z $KDE_S ]] && KDE_S="${S}"



1.11                 eclass/kde4-functions.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/kde4-functions.eclass?rev=1.11&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/kde4-functions.eclass?rev=1.11&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/kde4-functions.eclass?r1=1.10&r2=1.11

Index: kde4-functions.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/kde4-functions.eclass,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- kde4-functions.eclass	12 Jan 2009 17:25:59 -0000	1.10
+++ kde4-functions.eclass	12 Jan 2009 19:40:34 -0000	1.11
@@ -1,6 +1,6 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-functions.eclass,v 1.10 2009/01/12 17:25:59 scarabeus Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-functions.eclass,v 1.11 2009/01/12 19:40:34 scarabeus Exp $
 
 # @ECLASS: kde4-functions.eclass
 # @MAINTAINER:
@@ -267,6 +267,37 @@
 	fi
 }
 
+# @FUNCTION: migrate_store_dir
+# @DESCRIPTION:
+# Migrate the remnants of ${ESVN_STORE_DIR}/KDE/ to ${ESVN_STORE_DIR}/.
+# Perform experimental split of kdebase to kdebase-apps.
+migrate_store_dir() {
+	local cleandir
+	cleandir="${ESVN_STORE_DIR}/KDE"
+	if [[ -d "${cleandir}" ]]; then
+		ewarn "'${cleandir}' has been found. Moving contents to new location."
+		addwrite "${ESVN_STORE_DIR}"
+		# Split kdebase
+		local module
+		if pushd "${cleandir}"/kdebase/kdebase > /dev/null; then
+			for module in `find . -maxdepth 1 -type d -name [a-z0-9]\*`; do
+				module="${module#./}"
+				mkdir -p "${ESVN_STORE_DIR}/kdebase-${module}" && mv -f "${module}" "${ESVN_STORE_DIR}/kdebase-${module}" || \
+					die "Failed to move to '${ESVN_STORE_DIR}/kdebase-${module}'."
+			done
+			popd > /dev/null
+			rm -fr "${cleandir}/kdebase" || \
+				die "Failed to remove ${cleandir}/kdebase. You need to remove it manually."
+		fi
+		# Move the rest
+		local pkg
+		for pkg in "${cleandir}"/*; do
+			mv -f "${pkg}" "${ESVN_STORE_DIR}"/ || eerror "failed to move ${pkg}"
+		done
+		rmdir "${cleandir}" || die "Could not move obsolete KDE store dir. Please move '${cleandir}' contents to appropriate location (possibly ${ESVN_STORE_DIR}) and manually remove '${cleandir}' in order to continue."
+	fi
+}
+
 # Functions handling KMLOADLIBS and KMSAVELIBS
 
 # @FUNCTION: save_library_dependencies



1.10                 eclass/kde4-meta.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/kde4-meta.eclass?rev=1.10&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/kde4-meta.eclass?rev=1.10&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/kde4-meta.eclass?r1=1.9&r2=1.10

Index: kde4-meta.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/kde4-meta.eclass,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- kde4-meta.eclass	12 Jan 2009 17:25:59 -0000	1.9
+++ kde4-meta.eclass	12 Jan 2009 19:40:34 -0000	1.10
@@ -1,6 +1,6 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-meta.eclass,v 1.9 2009/01/12 17:25:59 scarabeus Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-meta.eclass,v 1.10 2009/01/12 19:40:34 scarabeus Exp $
 #
 # @ECLASS: kde4-meta.eclass
 # @MAINTAINER:
@@ -163,7 +163,12 @@
 kde4-meta_src_unpack() {
 	debug-print-function  ${FUNCNAME} "$@"
 	if [[ $BUILD_TYPE = live ]]; then
-		kde4-base_src_unpack
+		migrate_store_dir
+		S="${WORKDIR}/${PN}-${PV}"
+		mkdir -p "${S}"
+		ESVN_RESTRICT="export" subversion_src_unpack
+		subversion_wc_info
+		subversion_bootstrap
 		kde4-meta_src_extract
 	else
 		kde4-meta_src_extract





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in eclass: kde4-base.eclass kde4-functions.eclass kde4-meta.eclass
Next by thread:
gentoo-x86 commit in eclass: kde4-base.eclass kde4-functions.eclass kde4-meta.eclass
Previous by date:
gentoo commit in xml/htdocs/security/en/glsa: glsa-200901-07.xml
Next by date:
gentoo commit in xml/htdocs/security/en/glsa: glsa-200901-07.xml


Updated Dec 18, 2011

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.